function hide(id) { document.getElementById(id).style.display = 'none'; }
function show(id) { document.getElementById(id).style.display = 'block'; }
function enable(id) { document.getElementById(id).removeAttribute('readonly'); }
function disable(id) { document.getElementById(id).setAttribute('readonly',true); }
function toggle(id) { if (document.getElementById(id).style.display == 'none' || (document.getElementById(id).className == 'hidden' && document.getElementById(id).style.display == '')) { show(id); } else { hide(id); } }
function getvalue(id) { return document.getElementById(id).value; }
function setvalue(id,val) { return document.getElementById(id).value = val; }
function hideDiv(div) { div.style.display = 'none'; }
function showDiv(div) { div.style.display = 'block'; }

function checkLogin() {
	hide('invalidemail'); hide('invalidpass');
	if (document.forms['loginform'].email.value.length < 10) {
		show('invalidemail');
		document.forms['loginform'].email.focus();
		return false;
	}
	if (document.forms['loginform'].password.value.length < 6) {
		show('invalidpass');
		document.forms['loginform'].password.focus();
		return false;
	}
	return true;
}

function isset(variable_name) {
	try {
		if (typeof(eval(variable_name)) != 'undefined')
			if (eval(variable_name) != null)
				return true;
	} catch(e) { }
	return false;
}

function addEvent(elm, evType, fn, useCapture){
    if (elm.addEventListener)
    {
      elm.addEventListener(evType, fn, useCapture);
      return true;
    } else if (elm.attachEvent) {
      var r = elm.attachEvent('on' + evType, fn);
      return r;
    } else {
      elm['on' + evType] = fn;
    }
}

function doVotePoll(theform) {
	hide('poll-answers');
	show('poll-load');
	var status = AjaxRequest.submit(
    theform
    ,{
      'timeout':25000,
      'onTimeout':function(req){ show('poll-timeout'); hide('poll-load'); show('poll-answers'); },
      'onSuccess':function(req){ document.getElementById('poll-results').innerHTML = req.responseText; show('poll-results'); hide('poll-load'); },
      'onError':function(req){ alert('Erreur HTTP: '+req.statusText+'.\nEssayez un autre fois plus tard.'); show('poll-answers'); hide('poll-load'); }
    }
  );
  return false;
}

function removeDiv(elm) {
	elm.parentNode.removeChild(elm);
}

function cloneBefore(original, copycat) {
	var newthing = document.createElement('div');
	newthing.innerHTML = original.innerHTML;
	newthing.style.display = 'block';
	copycat.parentNode.insertBefore(newthing, copycat);
}
function transformToAjax(form, result, noreset, hideafter) {
	var waiting = document.createElement('div');
	waiting.innerHTML = '<img src="/images/loading.gif" alt="" /> Chargement en cours...';
	form.parentNode.insertBefore(waiting, form);
	hideDiv(form);
	if (typeof val != 'undefined') tinyMCE.triggerSave();
	if (result === false) {
		// Create a form result div - remove previous one if already created
		if (document.getElementById('formresult')) {
			document.getElementById('formresult').parentNode.removeChild(document.getElementById('formresult'));
		}
		var resultant = document.createElement('div');
		resultant.setAttribute('id','formresult');
		resultant.className = 'infomsg';
		form.parentNode.insertBefore(resultant, form);
	} else var resultant = document.getElementById(result);
	var status = AjaxRequest.submit(
	    form
	    ,{
	      'timeout':25000,
	      'onTimeout':function(req){ alert('Your request timed out. Please try again.'); showDiv(form); form.parentNode.removeChild(waiting); },
	      'onSuccess':function(req){ resultant.innerHTML = req.responseText; if (isset(noreset) && noreset !== true) form.reset(); if (hideafter === false) showDiv(form); form.parentNode.removeChild(waiting); },
	      'onError':function(req){ alert('Your request was not completed. Server response: '+req.statusText); showDiv(form); form.parentNode.removeChild(waiting); }
	    }
	  );
	return false;
}

function transformToAjax2(params) {
	return transformToAjax(params['form'],params['result'],params['noreset'],params['hideafter']);
}

isDef = function(val) {  return typeof val != 'undefined'; };

function doOrientSearch() {
	window.location = '/recherche/'+(document.getElementById('search').value);
	return false;
}
function startNewsAnimation(num,max,started) {
	if (num > max) num = 1;
	if (num == 1) { var prev = max; }
	else { var prev = num - 1; }
	if (started === false) Effect.Appear('latest_scroll_head');
	else { if (prev > 0) Effect.BlindUp('latest_scroll_'+prev); }
	Effect.BlindDown('latest_scroll_'+ (num), { scaleFrom: 0, scaleTo: 100 });
	window.setTimeout(function() { startNewsAnimation((num+1),max,true); }, 5000);
}

function refreshNews() {
	if (!document.getElementById('latestnews')) return false;
	var updateNews = AjaxRequest.get(
    {
      'url':'/ajax/latestNews.php',
      'lastRefresh':lastRefresh,
      'timeout':20000,
      'onSuccess':function(req){
      		var today = new Date();
 			lastRefresh = Math.round(today.getTime()/1000.0);
 			var response = req.responseText.split('<!-- DATA --/>');
 			if (response.length == 2) {
	 			if (response[1] != 'no-update') document.getElementById('latestnews').innerHTML = response[1];
	 			lastRefresh = response[0];
	 		}
 			
 			 }
    }
  );
  window.setTimeout('refreshNews()',60000);
}
if (document.getElementById('latestnews')) window.setTimeout('refreshNews()',60000);